#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAF,0x25,0x7C,0x88,0x75,0x94,0xAE,0x9A,0xE8,0x48,0x8E,0xED,
		0xCE,0xD9,0x60,0x1D,0xB2,0x1E,0x13,0x1F,0x6C,0xE5,0x61,0x19,
		0x62,0xA1,0x8B,0x14,0x9A,0x09,0xE4,0x8A,0x5E,0xF7,0x9E,0x1F,
		0x19,0x41,0xA5,0x0B,0x29,0x20,0x99,0x43,0x53,0xDE,0x2B,0xA8,
		0x10,0xF0,0xFA,0x2D,0x9B,0x3C,0x27,0x88,0x84,0x37,0xE3,0xCF,
		0x4E,0xA1,0xFF,0x7F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
